Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 659889 - GCLI should auto-start
: GCLI should auto-start
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-05-26 02:00 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-06-21 02:47 PDT (History)
0 users
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-05-26 02:00:56 PDT
The main API has startup/shutdown methods. This is because:
- there is startup work to be done
- we have supported (and would like to support) dynamic updating

However needing to call startup is a pain for obvious reasons, but also because it might be unclear who should do it.

GCLI should have a 'started' flag. All exposed functions should automagically call startup if it has not been started already.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-06-01 06:08:08 PDT
Fixed in
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-06-21 02:47:53 PDT
Marking verified because there is no UI proof that the bug is fixed. The proof is in the code.

Note You need to log in before you can comment on or make changes to this bug.